Bug 122698 - freezes when orionco pcmcia card inserted
freezes when orionco pcmcia card inserted
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: pcmcia-cs (Show other bugs)
3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-06 22:36 EDT by bud williamson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 17:03:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bud williamson 2004-05-06 22:36:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
Presario 2110US laptop. Fedora 1.92 test3 completely freezes when 
used with orinoco 802.11 pcmcia card. Three cases: 1. card installed 
before booting, freezes just after pcmcia starts. Upper right says it 
is starting power services.  Case 2: booted without card installed. 
Freezes as soon as card in inserted. Case 3: booted without card 
installed. Turn pcmcia service off. Insert card OK. Freezes when 
pcmcia services restarted. Nothing works to restore the pc except 
holding the power switch down to turn it off. Tried several cards 
(same type) with same results. Previously had same results with 
Fedora 1. Reformated drive before loading test3.

Version-Release number of selected component (if applicable):
fedora 1.92 test3

How reproducible:
Always

Steps to Reproduce:
1.insert orionco pcmcia card
2.boot pc with fedora 1.92 test3
3.
    

Actual Results:  completely freezes. Have to power off

Expected Results:  Should have booted to full system with 802.11 card 
working

Additional info:
Comment 1 bud williamson 2004-05-11 08:03:10 EDT
Update: I was able to get the card working!! In the config.opts file 
in the /etc/pcmcia directory -- I had to exclude most of the IRQs. 
Specifically, I excluded IRQ 1, 2, 3, 4, 5, 6, 7, 10, 11, 12. I did 
not exclude 8, 9, 13, 14, 15.  Everything seemed to work normally. 
This is NOT the IRQ exclusion list in the original config.opts file. 
It would be better if a method could be automatically invoked or if 
not, at least manually run and observed to correctly identify 
interrupts that must be excluded.  All memory and port statements in 
the file were left as-is.
Comment 2 Dave Jones 2005-01-10 20:53:49 EST
any better with fc3 and updates ?
Comment 3 John Thacker 2006-10-29 17:03:23 EST
Closing per lack of response to previous request for information.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  Please install
a still supported version and retest.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.  Otherwise, if this a security
issue, please change the product to Fedora Legacy.  Thanks, and we are sorry
that we did not get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.